import { browser, element, by } from 'protractor';
import { HelpDeskPage } from './helpDesk.po';
import { DispatchPage } from '../dispatch-page/dispatch.po';

type result = any;
let hd = new HelpDeskPage();

describe('HelpDesk KPI Filtering', () => {
 
    // it ('show the total tickets', async () => {
    //     let numTotalTicket = await hd.openTicket.getText();
    //     let numTotalClose = await hd.closedTicket.getText();
    //     let totalTicketOnRow = (numTotalTicket+numTotalClose);
    //     await expect<result>(hd.rowCount.getText()).toContain(totalTicketOnRow);
    // });
    it ('show the total OPEN tickets', async () => {
        await hd.openTicket.click();
        await browser.sleep(2000);
        await expect<result>(hd.rowCount.getText()).toContain(hd.openTicket.getText());
    });
    it ('show new tickets', async() => {
        await hd.newTicket.click();
        await browser.sleep(2000);
        await expect<result>(hd.rowCount.getText()).toContain(hd.newTicket.getText());
    });
    it ('show urgent tickets', async() => {
        await hd.urgentTicket.click();
        await browser.sleep(2000);
        await expect<result>(hd.rowCount.getText()).toContain(hd.urgentTicket.getText());
    });
    it ('show assigned tickets', async() => {
        await hd.assignedTicket.click();
        await browser.sleep(2000);
        await expect<result>(hd.rowCount.getText()).toContain(hd.assignedTicket.getText());
    });
    it ('show unassigned tickets', async() => {
        await hd.unassignedTicket.click();
        await browser.sleep(2000);
        await expect<result>(hd.rowCount.getText()).toContain(hd.unassignedTicket.getText());
    });
    it ('show Total Closed tickets', async() => {
        await hd.closedTicket.click();
        await browser.sleep(2000);
        await expect<result>(hd.rowCount.getText()).toContain(hd.closedTicket.getText());
    });
    it ('show Closed tickets today', async() => {
        await hd.todayClosedTicket.click();
        await browser.sleep(2000);
        await expect<result>(hd.rowCount.getText()).toContain(hd.todayClosedTicket.getText());
    });
    it ('show request tickets', async() => {
        await hd.requestTicket.click();
        await browser.sleep(2000);
        await expect<result>(hd.rowCount.getText()).toContain(hd.requestTicket.getText());
    });
    it ('show feature change tickets', async() => {
        await hd.featureChangeTicket.click();
        await browser.sleep(2000);
        await expect<result>(hd.rowCount.getText()).toContain(hd.featureChangeTicket.getText());
    });
    it ('show issue/bug tickets', async() => {
        await hd.bugTicket.click();
        await browser.sleep(2000);
        await expect<result>(hd.rowCount.getText()).toContain(hd.bugTicket.getText());
    });
    it ('show new feature tickets', async() => {
        await hd.newfeatureTicket.click();
        await browser.sleep(2000);
        await expect<result>(hd.rowCount.getText()).toContain(hd.newfeatureTicket.getText());
    });
    it ('show my tickets', async() => {
        await hd.myTicket.click();
        await browser.sleep(2000);
        await expect<result>(hd.rowCount.getText()).toContain(hd.myTicket.getText());
    });
});