import { browser, element, by } from 'protractor';
import {DispatchPage} from '../dispatch-page/dispatch.po';
import { LoginPage } from '../login-page/login.po';

type result = any;
let dis = new DispatchPage;
let login = new LoginPage;

describe ('Logout the page', () => {

    it ('should logout', async () => {
        let logout = element(by.css('a.btn'));
        
        await dis.topBarUser.click();
        await logout.click();
        await login.waitForItemToBeVisible(login.userName);
        await expect<result>(login.loginTitle.getText()).toEqual('Log in');
    })
    afterAll( async () => {
        await browser.manage().deleteAllCookies();
    })
});
    



