import { browser, element, by, protractor, ExpectedConditions as EC, WebElement, error, Key } from 'protractor';


export class Menu {

    async waitForItemToBeVisible(element) {
        return await browser.wait(EC.visibilityOf(element));
    }
    async waitForItemNotToBePresent(element) {
        return await browser.wait(EC.not(EC.visibilityOf(element)));
    }

    //Side MENU
    sideMenu = element.all(by.className('kt-menu__item'));
    willcall = element(by.tagName('callinmodal'));
    closeBtn = element(by.css('button.close'));
    map = element(by.className('marker-locator'));
    submenu = element.all(by.className('kt-menu__subnav'));
    grid = element(by.className('primeng-datatable-container col-12'));

    //Pages
    willcallPage = element(by.css('[href="/app/sprintship/will-call"]'));
    locatorPage = element(by.css('[href="/app/sprintship/locator"]'));
    clinicsPage = element(by.css('[href="/app/main/laboratory/clinics"]'));
        stopsPage = element(by.css('[href="/app/main/laboratory/routeStops"]'));
        routeTypesPage = element(by.css('[href="/app/main/laboratory/routeTypes"]'));
        routeDefPage = element(by.css('[href="/app/main/laboratory/routeDefinitions"]'));
    locationsPage = element(by.css('[href="/app/sprintship/locations"]'));
        timezonesPage = element(by.css('[href="/app/sprintship/timezones"]'));
        userLocPage = element(by.css('[href="/app/sprintship/user-location"]'));
        vehicleLocPage = element(by.css('[href="/app/sprintship/locationvehicle"]'));
    routesPage = element(by.css('[href="/app/sprintship/routes"]'));
        routeTempPage = element(by.css('[href="/app/sprintship/routes-template"]'));
        tempTypesPage = element(by.css('[href="/app/sprintship/routes-template-types"]'));
    fleetsPage =  element(by.css('[href="/app/sprintship/fleets"]'));
        vehiclePage = element(by.css('[href="/app/sprintship/vehicles"]'));
        vehicleChecklists = element(by.css('[href="/app/sprintship/vehicleChecklists/vehicleChecklists"]'));
        driverPage =element(by.css('[href="/app/sprintship/drivers"]'));
        proxPage =element(by.css('[href="/app/sprintship/driver-proximity"]'));
        incidentPage =element(by.css('[href="/app/sprintship/driver-incidents"]'));
        vendorsPage =element(by.css('[ href="/app/sprintship/vendors"]'));


    
    
    
    

    
    
    
    
    
    
   
    

    
}
