import { Component, Injector, OnInit, ViewEncapsulation } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { accountModuleAnimation } from '@shared/animations/routerTransition';
import { AppComponentBase } from '@shared/common/app-component-base';
import { Location } from '@angular/common';
import * as _ from 'lodash';

@Component({
    templateUrl: './cookies-content.component.html',
    encapsulation: ViewEncapsulation.None,
    animations: [accountModuleAnimation()]
})
export class CookiesContentComponent extends AppComponentBase implements OnInit {
   
    /*you can change your edition icons order within editionIcons variable */
   
    constructor(
        injector: Injector,
        private _router: Router,
        private location: Location
    ) {
        super(injector);
    }

    ngOnInit() {    
    }

    goBack() {
        this.location.back();
      }   
}
