import { Component, OnInit, Injector } from '@angular/core';
import { AppComponentBase } from '@shared/common/app-component-base';
@Component({
  selector: 'app-filter-date',
  templateUrl: './filter-date.component.html',
  styleUrls: ['./filter-date.component.css']
})
export class FilterDateComponent extends AppComponentBase {

  RouteDate = new Date();
  
  constructor(injector: Injector) {
    super(injector)
  }

  /*ngOnInit() {

      this.publishDate(this.RouteDate);
  
  }*/

  publishDate(date: string): void {
    //alert(date);
    abp.event.trigger('app.dashboardFilters.dateFilter.onNameChange', date);
  }


  setDate(newDate) {
    //console.log(newDate);
    this.publishDate(newDate);
  }

}
