import { Component, Injector, Input, Output, EventEmitter, OnInit, AfterViewInit, ViewChild } from '@angular/core';

import { AppComponentBase } from "@shared/common/app-component-base";
import { AddCreateSomethingComponent } from './add-create-something.component';
import { RecentPagesComponent } from './recent-pages.component';
import { FavoritesComponent } from './favorites.component';


@Component({
    selector: 'quickLinks',
    templateUrl: './quick-links.component.html',
    // styleUrls: ['address-form.component.less']
})
export class QuickLinksComponent extends AppComponentBase {

    @ViewChild(AddCreateSomethingComponent, { static: false }) addCreateSomething;
    @ViewChild(RecentPagesComponent, { static: false }) recentPages;
    @ViewChild(FavoritesComponent, { static: false }) favorites;



    constructor(
        injector: Injector
    ) {
        super(injector);
    }
}