import { Injectable } from '@angular/core';
import { Subject }    from 'rxjs';

@Injectable()
export class ControllerRoutesService {

  // Observable string sources
  
  private statisticsSource = new Subject<any>();

  private orderTypeDataSource = new Subject<any>();

  // Observable string streams
  
  StatisticsObj = this.statisticsSource.asObservable();

  OrderTypeDataObj = this.orderTypeDataSource.asObservable();


  // Service message commands
 
  setStatistics(stats: any) {
  	this.statisticsSource.next(stats);
  }

  getTableStatistics(statistics: any)
  {
	this.statisticsSource.next(statistics);
  }


  setOrderTypeDataSource(orderType: any) {
    this.orderTypeDataSource.next(orderType);
  }

  getOrderTypes(orderTypes: any)
  {

    this.orderTypeDataSource.next(orderTypes);
  }


}