import { NgModule } from '@angular/core';
import { RouterModule, Router, NavigationEnd } from '@angular/router';
import { RouteOptimizersComponent } from './route-optimizer.component';
import { CreateUpdateRouteOptimizersComponent } from './create-update-route-optimizer.component';


@NgModule({
    imports: [
        RouterModule.forChild([
            {
                path: '',
                children: [

                    { path: '', component: RouteOptimizersComponent, data: {} },
                    { path: 'create-update-route-optimizer', component: CreateUpdateRouteOptimizersComponent, data: {} },
                    { path: 'create-update-route-optimizer/:id', component: CreateUpdateRouteOptimizersComponent, data: {} },
                    //  permission: 'Pages.SupportCategoryTypes' 
                    ]
            }
        ])
    ],
    exports: [
        RouterModule
    ]
})
export class OptimizerRoutingModule { 
    constructor(
        router: Router
    ) {
        router.events.subscribe((event) => {
            if (event instanceof NavigationEnd) {
                window.scroll(0, 0);
            }
      
        });
    }

}
