import { browser, element, by } from 'protractor';
import {Menu} from '../menu/menu.po';
import { DispatchPage } from '../dispatch-page/dispatch.po';

type result = any;
let m = new Menu;
let dis = new DispatchPage;

describe ('Menu Pages', () => {

    it ('should show the dispatch page', async () => {
        await browser.sleep(15000);
    });

    it ('should open WillCall Screen', async () => {
       await m.willcallPage.click();
       await browser.sleep(5000);
       await expect<result>(m.willcall.isDisplayed()).toBeTruthy();
       await m.closeBtn.click();

    });
    it ('should open Locator page', async () => { 
        await m.locatorPage.click();
        await browser.sleep(2000);
        //await m.waitForItemToBeVisible(m.map);
        //expect<result>(m.map.isPresent()).toBe(true);
    });
    it ('should open Clinics page', async () => { 
        await m.sideMenu.get(3).click();
        await m.clinicsPage.click();
        await m.waitForItemToBeVisible(m.grid);
    });
    it ('should open Stops page', async () => { 
        await m.stopsPage.click();
        await m.waitForItemToBeVisible(m.grid);
    });
    it ('should open Route Types page', async () => {
        await m.routeTypesPage.click();
        await m.waitForItemToBeVisible(m.grid);
    });
    it ('should open Route Definitions page', async () => {
        await m.routeDefPage.click();
        await m.waitForItemToBeVisible(m.grid);
        await browser.sleep(2000);
    });
    it ('should open Locations page', async () => {
        await m.sideMenu.get(4).click();
        await m.locationsPage.click();
        await m.waitForItemToBeVisible(m.grid);
    });
    it ('should open Timezones page', async () => {
        await m.timezonesPage.click();
        await m.waitForItemToBeVisible(m.grid);
    });
    it ('should open User Locations page', async () => {
        await m.userLocPage.click();
        await m.waitForItemToBeVisible(m.grid);
    });
    it ('should open Vehicle Locations page', async () => {
        await m.vehicleLocPage.click();
        await m.waitForItemToBeVisible(m.grid);
    });
    it ('should open Routes page', async () => {
        await m.sideMenu.get(5).click();
        await m.locationsPage.click();
        await m.waitForItemToBeVisible(m.grid);
    });
    it ('should open Locations page', async () => {
        await m.sideMenu.get(4).click();
        await m.locationsPage.click();
        await m.waitForItemToBeVisible(m.grid);
    });
});