import { Component, ViewChild, Injector, Output, EventEmitter} from '@angular/core';
import { ModalDirective } from 'ngx-bootstrap';
import { finalize } from 'rxjs/operators';
import { AppComponentBase } from '@shared/common/app-component-base';
import * as moment from 'moment';
declare var $: any;

@Component({
    selector: 'ratesDescriptionModal',
    templateUrl: './rates-description-modal.component.html'
})
export class RatesDescriptionModalComponent extends AppComponentBase {

    @ViewChild('createOrEditModal', { static: true }) modal: ModalDirective;
    @ViewChild('modalDirective', { static: false }) modalDirective: ModalDirective;

    @Output() modalSave: EventEmitter<any> = new EventEmitter<any>();
    @Output() showLoaderEvent = new EventEmitter<boolean>();
    @Output() modalSaveEvent = new EventEmitter<boolean>();
    active = false;
    saving = false;
    description: any;
    //selectedStartDay:string;
    //selectedEndDay:string;
    constructor(
        injector: Injector
    ) {
        super(injector);
    }

    show(description?: any): void {
        this.description = description;
        this.modal.show();
    }

   


    ngOnInit(): void {

    }

    






    
    close(): void {

        this.active = false;
        this.modal.hide();
    }
}
